<?php

// +---------------------------------------------------------------------------+
// | Metatags Plugin for Geeklog - The Ultimate Weblog                   |
// +---------------------------------------------------------------------------+
// | public_html/admin/plugins/metatags/index.php                              |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2009 mystral-kk - geeklog AT mystral-kk DOT net                                             |
// |                                                                           |
// | Constructed with the Universal Plugin                                     |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

require_once '../../../lib-common.php';

// Only let admin users access this page
if (!SEC_hasRights('metatags.edit')) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the metatags Admin page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: {$_SERVER['REMOTE_ADDR']}", 1);
    $display = COM_siteHeader()
			 . COM_startBlock($LANG_METATAGS['access_denied'])
			 . $LANG_METATAGS['access_denied_msg']
			 . COM_endBlock()
			 . COM_siteFooter();
    echo $display;
    exit;
}

if (!defined('XHTML')) {
	define('XHTML', '');
}

/**
* Main
*/
$display = COM_siteHeader();
$T = new Template($_CONF['path'] . 'plugins/metatags/templates');
$T->set_file('admin', 'admin.thtml');
$T->set_var('xhtml', XHTML);
$T->set_var('site_url', $_CONF['site_url']);
$T->set_var('site_admin_url', $_CONF['site_admin_url']);
$T->set_var('icon_url', $_CONF['site_admin_url'] . '/plugins/metatags/images/metatags.png');
$T->set_var('header', $LANG_METATAGS['admin']);
$T->set_var('plugin', 'metatags');

// put your code here


$T->parse('output', 'admin');
$display .= $T->finish($T->get_var('output'))
		 .  COM_siteFooter();

echo $display;
